ServerEvents.recipes(event => {
	event.shaped(
  Item.of('mekanism:laser', 1), // arg 1: output
  [
    'AB ',
    'ACD', // arg 2: the shape (array of strings)
    'AB '
  ],
  {
    A: 'mekanism:alloy_reinforced',
    B: 'mekanism:energy_tablet',
	C: 'mekanism:steel_casing',
	D: 'create_optical:optical_device'
  })
	event.recipes.create.crushing(
	['3x ae2:silicon', Item.of('ae2:silicon').withChance(0.75)],
	'tfmg:silicon_ingot')
	event.recipes.create.compacting([
	'tfmg:silicon_ingot',
	], ['4x ae2:silicon']).heated()
	event.recipes.create.pressing([
		'tfmg:lithium_ingot',
	], 'mekanism:dust_lithium')
	event.recipes.create.crushing([
		'mekanism:dust_lithium',
	], 'tfmg:lithium_ingot')
	event.recipes.create.milling([
		'mekanism:dust_lithium',
	], 'tfmg:lithium_ingot')
})